ChangeSet 1.2095, 2004/11/12 11:42:28-08:00, anil.s.keshavamurthy@intel.com

[PATCH] Add KOBJ_ONLINE

I am trying to fix the current ACPI container.ko and processor.ko to use
kobject_hotplug() for notification. For this I would be requiring the
KOBJ_ONLINE definitions to be added to kobject_action.

Signed-off-by: Anil Keshavamurty <anil.s.keshavamurthy@intel.com>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 include/linux/kobject_uevent.h |    1 +
 lib/kobject_uevent.c           |    2 ++
 2 files changed, 3 insertions(+)


diff -Nru a/include/linux/kobject_uevent.h b/include/linux/kobject_uevent.h
--- a/include/linux/kobject_uevent.h	2004-11-12 14:53:26 -08:00
+++ b/include/linux/kobject_uevent.h	2004-11-12 14:53:26 -08:00
@@ -28,6 +28,7 @@
 	KOBJ_MOUNT	= (__force kobject_action_t) 0x04,	/* mount event for block devices */
 	KOBJ_UMOUNT	= (__force kobject_action_t) 0x05,	/* umount event for block devices */
 	KOBJ_OFFLINE	= (__force kobject_action_t) 0x06,	/* offline event for hotplug devices */
+	KOBJ_ONLINE	= (__force kobject_action_t) 0x07,	/* online event for hotplug devices */
 };
 
 
diff -Nru a/lib/kobject_uevent.c b/lib/kobject_uevent.c
--- a/lib/kobject_uevent.c	2004-11-12 14:53:26 -08:00
+++ b/lib/kobject_uevent.c	2004-11-12 14:53:26 -08:00
@@ -42,6 +42,8 @@
 		return "umount";
 	case KOBJ_OFFLINE:
 		return "offline";
+	case KOBJ_ONLINE:
+		return "online";
 	default:
 		return NULL;
 	}
